Subject: Re: bug#10489: 24.0.92; dired-do-copy may create infinite directory hierarchy

From: Chong Yidong <[email-masked]>
Date: Mon, 27 Feb 2012 21:54:43 +0800

Thierry Volpiatto <[email-masked]> writes:

> To finish this thread, I would like to say I am not happy with the
> last changes made to file-subdir-of-p by Chong Yidong without ANY
> notifications.  Even after discussion about CL integration in Emacs,
> it seem it is not for tomorrow.  i.e what is your problem with loop?

Sorry, I would have brought it up in this thread except that I thought
the discussion was over.  I generally have no problem with Common Lisp,
but I'm not sure we want to have loop macros in a core Emacs file yet.
Since that code was easily translatable from Loop into Lisp, I went
ahead and did it.